> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create integration



## OpenAPI

````yaml /openapi/openapi.yaml post /v1/integrations
openapi: 3.1.0
info:
  title: OneInbox API
  version: 1.0.0
servers:
  - url: https://api.oneinbox.ai
    description: Production server
security: []
tags:
  - name: health
  - name: integrations
  - name: llm-models
  - name: tools
  - name: knowledge-bases
  - name: voices
  - name: webhooks
  - name: agents
  - name: phone-numbers
  - name: calls
  - name: workspace
  - name: usage
  - name: audit-events
paths:
  /v1/integrations:
    post:
      tags:
        - integrations
      summary: Create integration
      operationId: create_integration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    CredentialCreate:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        provider:
          type: string
          enum:
            - openai
            - anthropic
            - groq
            - deepgram
            - elevenlabs
            - cartesia
            - twilio
            - telnyx
            - resend
            - sendgrid
            - calcom
          title: Provider
        api_key:
          type: string
          minLength: 1
          title: Api Key
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - name
        - provider
        - api_key
      title: Integration
    CredentialResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        masked_key:
          type: string
          title: Masked Key
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - provider
        - masked_key
        - created_at
        - updated_at
      title: Integration
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: http
      description: >-
        Your **API key** sent as a Bearer credential — `Authorization: Bearer
        <api_key>`, where `<api_key>` starts with `oi_sk_` (create one via `POST
        /v1/api-keys`). Although the field is labelled 'token', paste your API
        key here. A dashboard JWT is also accepted on this header for the same
        endpoints.
      scheme: bearer

````